Package com.avaya.clientservices.presence

## Enum PresenceACLPolicy

- java.lang.Object
- - java.lang.Enum<PresenceACLPolicy>
  - - com.avaya.clientservices.presence.PresenceACLPolicy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PresenceACLPolicy>`

      public enum PresenceACLPolicy
      extends java.lang.Enum<PresenceACLPolicy>

  Enumeration that describes different access control list policies.

  When a request to start watching the presence of some user is issued by the client, Access Control List policy is used to decide whether the requesting user has permissions to get the presence of the desired user.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALLOW` | Presence access control list policy is in allowed state.
    `BLOCK` | Presence access control list policy is in blocked state.
    `CONFIRM` | Presence access control list policy is in confirm state.
    `UNDEFINED` | Presence access control list policy is undefined.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PresenceACLPolicy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PresenceACLPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final PresenceACLPolicy UNDEFINED

      Presence access control list policy is undefined. This means that policy is unknown to us. Returned until the information is retrieved from the network.

    - #### ALLOW

          public static final PresenceACLPolicy ALLOW

      Presence access control list policy is in allowed state. Presence access control list policy is set to allow anyone with permission to track local user's presence. Previously blocked users are not affected by this policy setting.

    - #### BLOCK

          public static final PresenceACLPolicy BLOCK

      Presence access control list policy is in blocked state. Presence access control list policy is set to block anyone from tracking local user's presence. Previously allowed users are not affected by this policy setting.

    - #### CONFIRM

          public static final PresenceACLPolicy CONFIRM

      Presence access control list policy is in confirm state. Presence access control list policy is set to prompt local user regarding anyone who wants to track local user's presence in the system. The local user may allow or deny the incoming presence tracking request using `PresenceAccessControlList.allowPresenceWatcher(PresenceWatcher, PresenceCompletionHandler)` or `PresenceAccessControlList.blockPresenceWatcher(PresenceWatcher, PresenceCompletionHandler)`.

  - ### Method Detail

    - #### values

          public static PresenceACLPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PresenceACLPolicy c : PresenceACLPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PresenceACLPolicy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null